blob: c7413837782582017762d27670ca85f150af2ae2 [file] [log] [blame]
DEFINED_PHASES=compile configure install prepare
DEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_3? ( >=dev-lang/python-3.3.2-r2:3.3 ) python_targets_python3_4? ( dev-lang/python:3.4 ) python_targets_python3_5? ( dev-lang/python:3.5 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] >=dev-python/sip-4.16.6:=[python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] >=dev-qt/qtcore-4.8.5:4 X? ( >=dev-qt/qtgui-4.8.5:4 ) dbus? ( dev-python/dbus-python[python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] >=dev-qt/qtdbus-4.8.5:4 ) declarative? ( >=dev-qt/qtdeclarative-4.8.5:4 ) designer? ( >=dev-qt/designer-4.8.5:4 ) help? ( >=dev-qt/qthelp-4.8.5:4 ) multimedia? ( >=dev-qt/qtmultimedia-4.8.5:4 ) opengl? ( >=dev-qt/qtopengl-4.8.5:4 ) phonon? ( kde? ( >=media-libs/phonon-4.7[qt4] ) !kde? ( || ( >=dev-qt/qtphonon-4.8.5:4 >=media-libs/phonon-4.7[qt4] ) ) ) script? ( >=dev-qt/qtscript-4.8.5:4 ) scripttools? ( >=dev-qt/qtgui-4.8.5:4 ) sql? ( >=dev-qt/qtsql-4.8.5:4 ) svg? ( >=dev-qt/qtsvg-4.8.5:4 ) testlib? ( >=dev-qt/qttest-4.8.5:4 ) webkit? ( >=dev-qt/qtwebkit-4.8.5:4 ) xmlpatterns? ( >=dev-qt/qtxmlpatterns-4.8.5:4 ) dbus? ( virtual/pkgconfig )
DESCRIPTION=Python bindings for the Qt framework
EAPI=5
HOMEPAGE=http://www.riverbankcomputing.com/software/pyqt/intro https://pypi.python.org/pypi/PyQt4
IUSE=X compat dbus debug declarative designer doc examples help kde multimedia opengl phonon script scripttools sql svg testlib webkit xmlpatterns python_targets_python2_7 python_targets_python3_3 python_targets_python3_4 python_targets_python3_5
KEYWORDS=alpha amd64 arm ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux
LICENSE=GPL-3
RDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_3? ( >=dev-lang/python-3.3.2-r2:3.3 ) python_targets_python3_4? ( dev-lang/python:3.4 ) python_targets_python3_5? ( dev-lang/python:3.5 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] >=dev-python/sip-4.16.6:=[python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] >=dev-qt/qtcore-4.8.5:4 X? ( >=dev-qt/qtgui-4.8.5:4 ) dbus? ( dev-python/dbus-python[python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] >=dev-qt/qtdbus-4.8.5:4 ) declarative? ( >=dev-qt/qtdeclarative-4.8.5:4 ) designer? ( >=dev-qt/designer-4.8.5:4 ) help? ( >=dev-qt/qthelp-4.8.5:4 ) multimedia? ( >=dev-qt/qtmultimedia-4.8.5:4 ) opengl? ( >=dev-qt/qtopengl-4.8.5:4 ) phonon? ( kde? ( >=media-libs/phonon-4.7[qt4] ) !kde? ( || ( >=dev-qt/qtphonon-4.8.5:4 >=media-libs/phonon-4.7[qt4] ) ) ) script? ( >=dev-qt/qtscript-4.8.5:4 ) scripttools? ( >=dev-qt/qtgui-4.8.5:4 ) sql? ( >=dev-qt/qtsql-4.8.5:4 ) svg? ( >=dev-qt/qtsvg-4.8.5:4 ) testlib? ( >=dev-qt/qttest-4.8.5:4 ) webkit? ( >=dev-qt/qtwebkit-4.8.5:4 ) xmlpatterns? ( >=dev-qt/qtxmlpatterns-4.8.5:4 )
REQUIRED_USE=|| ( python_targets_python2_7 python_targets_python3_3 python_targets_python3_4 python_targets_python3_5 ) sql? ( X ) testlib? ( X )
SLOT=0
SRC_URI=mirror://sourceforge/pyqt/PyQt-x11-gpl-4.11.4.tar.gz
_eclasses_=eutils b83a2420b796f7c6eff682679d08fe25 multibuild 742139c87a9fa3766f0c2b155e5522bf multilib 165fc17c38d1b11dac2008280dab6e80 python-r1 0f6937650a475d673baa5d0c8c0b37b3 python-utils-r1 1797277ea0e7cee5c7de7ce74cf8acd8 qmake-utils 0a242e7177789b0028b4045f336dd4db toolchain-funcs 6198c04daba0e1307bd844df7d37f423
_md5_=95f1f92f8341dcd749db9fc7649585ba